Bug 1007472 - TypeError: format requires a mapping
TypeError: format requires a mapping
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
abrt_hash:e89571ff3a20985777b6fd74bbd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 10:37 EDT by Kamil Páral
Modified: 2013-09-19 06:01 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-20.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 22:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (476.08 KB, text/plain)
2013-09-12 10:37 EDT, Kamil Páral
no flags Details
File: anaconda.log (25.47 KB, text/plain)
2013-09-12 10:37 EDT, Kamil Páral
no flags Details
File: environ (441 bytes, text/plain)
2013-09-12 10:37 EDT, Kamil Páral
no flags Details
File: lsblk_output (3.48 KB, text/plain)
2013-09-12 10:37 EDT, Kamil Páral
no flags Details
File: nmcli_dev_list (4.79 KB, text/plain)
2013-09-12 10:37 EDT, Kamil Páral
no flags Details
File: os_info (291 bytes, text/plain)
2013-09-12 10:38 EDT, Kamil Páral
no flags Details
File: program.log (59.11 KB, text/plain)
2013-09-12 10:38 EDT, Kamil Páral
no flags Details
File: storage.log (339.43 KB, text/plain)
2013-09-12 10:38 EDT, Kamil Páral
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-09-12 10:38 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-09-12 10:37:23 EDT
Description of problem:
I switched partition type from LVM to RAID.

Version-Release number of selected component:
anaconda-20.15-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.15-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1245, in _save_right_side
    % (raid_level, min_disks, len(self._device_disks)))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2788, in on_apply_clicked
    self._save_right_side(self._current_selector)
TypeError: format requires a mapping

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-Desktop-x86_64-20-Al ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.0-300.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Heisenbug)
type:           anaconda
version:        20
Comment 1 Kamil Páral 2013-09-12 10:37:32 EDT
Created attachment 796881 [details]
File: anaconda-tb
Comment 2 Kamil Páral 2013-09-12 10:37:41 EDT
Created attachment 796882 [details]
File: anaconda.log
Comment 3 Kamil Páral 2013-09-12 10:37:46 EDT
Created attachment 796883 [details]
File: environ
Comment 4 Kamil Páral 2013-09-12 10:37:51 EDT
Created attachment 796884 [details]
File: lsblk_output
Comment 5 Kamil Páral 2013-09-12 10:37:59 EDT
Created attachment 796885 [details]
File: nmcli_dev_list
Comment 6 Kamil Páral 2013-09-12 10:38:03 EDT
Created attachment 796886 [details]
File: os_info
Comment 7 Kamil Páral 2013-09-12 10:38:08 EDT
Created attachment 796887 [details]
File: program.log
Comment 8 Kamil Páral 2013-09-12 10:38:15 EDT
Created attachment 796888 [details]
File: storage.log
Comment 9 Kamil Páral 2013-09-12 10:38:20 EDT
Created attachment 796889 [details]
File: ifcfg.log
Comment 10 Fedora Update System 2013-09-13 21:03:58 EDT
anaconda-20.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.16-1.fc20
Comment 11 Fedora Update System 2013-09-14 13:45:29 EDT
Package anaconda-20.16-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.16-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16735/anaconda-20.16-1.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-09-16 13:46:40 EDT
anaconda-20.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.17-1.fc20
Comment 13 Fedora Update System 2013-09-18 22:39:05 EDT
anaconda-20.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Kamil Páral 2013-09-19 06:01:36 EDT
No longer crashes with F20 Alpha RC4.

Note You need to log in before you can comment on or make changes to this bug.